Package org.apache.sling.engine.jmx

# Interface FilterProcessorMBean

@ProviderType public interface FilterProcessorMBean
This is the management interface for the Filter.

## Method Summary

Modifier and Type
Method
Description
`long`
`getInvocationsCount()`
Returns the number of invocations collected since last resetting the statistics.
`double`
`getMeanFilterDurationMsec()`
Returns the mean filter invocation time in milliseconds since resetting the statistics.
`void`
`resetStatistics()`
Resets all statistics values and restarts from zero.

## Method Details

### getInvocationsCount

long getInvocationsCount()
Returns the number of invocations collected since last resetting the statistics.

Returns:
  Get invocation count
See Also:
  - `resetStatistics()`

### getMeanFilterDurationMsec

double getMeanFilterDurationMsec()
Returns the mean filter invocation time in milliseconds since resetting the statistics.

Returns:
  Get mean filter duration
See Also:
  - `resetStatistics()`

### resetStatistics

void resetStatistics()
Resets all statistics values and restarts from zero.